Skip to main content

Send Email

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.send_email

Send an email message to a contact in GoHighLevel

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-send-email-example",
"method": "tools/call",
"params": {
"name": "ghl.send_email",
"arguments": {
"contactId": "contactId_123",
"subject": "subject_example",
"tenantId": "tenantId_123",
"message": "message_example",
"html": "html_example",
"emailFrom": "emailFrom_example",
"attachments": [],
"emailCc": [],
"emailBcc": []
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"contactId": {
"type": "string"
},
"subject": {
"type": "string"
},
"message": {
"type": "string"
},
"html": {
"type": "string"
},
"emailFrom": {
"type": "string",
"format": "email"
},
"attachments": {
"type": "array",
"items": {
"type": "string"
}
},
"emailCc": {
"type": "array",
"items": {
"type": "string"
}
},
"emailBcc": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"contactId",
"subject"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-send-email-example",
"method": "tools/call",
"params": {
"name": "ghl.send_email",
"arguments": {
"contactId": "contactId_123",
"subject": "subject_example",
"tenantId": "tenantId_123",
"message": "message_example",
"html": "html_example",
"emailFrom": "emailFrom_example",
"attachments": [],
"emailCc": [],
"emailBcc": []
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.send_email executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}